import { Route } from "./route";

export class RouteManager {
  private routes: Route[] = [];

  /**
   * Add a route to the route manager
   *
   * @param route the route to add
   */
  addRoute(route: Route) {
    this.routes.push(route);
  }

  /**
   * Get a route by path
   *
   * @param path the path to get the route for
   * @returns the route or undefined if not found
   */
  getRoute(path: string) {
    return this.routes.find((route) => route.getPath() === path);
  }

  /**
   * Get all routes
   *
   * @returns all routes
   */
  getRoutes() {
    return this.routes;
  }
}
